libraw1394: version 2.0.4
Prev |  | Next

# raw1394_loop_iterate

## Name

raw1394_loop_iterate -- get and process one event message

## Synopsis

``int raw1394_loop_iterate` (raw1394handle_t handle);`

## Arguments

`handle`

  libraw1394 handle

## Description

Get one new message through handle and process it with the registered message handler. Note that some other library functions may call this function multiple times to wait for their completion, some handler return values may get lost if you use these.

## Returns

`-1` for an error or the return value of the handler which got executed. The default handlers always return zero.

Prev | Home | Next
raw1394_reset_bus_new | Up | raw1394_set_bus_reset_handler